## packaging-manual 2.4.1.1

=== debian/changelog ===
packaging-manual (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:57:39 +0200

packaging-manual (2.4.1.0) frozen unstable; urgency=low

  * Moved Packaging Manual out of dpkg into a new package:
    
    - New package and new maintainer
    - Create and install a HTML, TEXT, and SGML version (a PostScript
      version is available on ftp.debian.org)
    - Register document to doc-base
    - "Suggests: dpkg (>= 1.4.0.23)" to make sure the manual is not
      installed twice
    - Uploaded to frozen and unstable. This is a documentation-only
      package and the changes to the manual are relevant for hamm.

  * New version numbering scheme:
  
    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.
    
    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals. 
  
      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.
  
  * Changes to the Packaging Manual:
  
    - Updated part `where to find GPL' in the copyright
      (new FSF address, removed reference to dpkg's source package, added
      web URL of GPL)
  
    - Updated prefix of chapter 12, Shared Libraries:
      ldconfig must be called in the postinst script if the package
      installs shared libraries
      (cf., Policy Weekly Issue #6, fixes:bug#20515)

    - Removed one example reference to the current standards version
    - Include manual's date as plain text in the .sgml source so that
      a recompiled manual uses the same release date

 -- Christian Schwarz <schwarz@debian.org>  Tue, 14 Apr 1998 21:10:15 +0200

  <Check out changelog file of dpkg for versions since Dec 96>
  

debian-manuals (2.1.2.2) frozen unstable;

  * Fixed even more typographical and grammatical errors in Policy and 
    Programmer's manual
  * Corrected the contact email addresses again.
  * Added a paragraph to Policy 6.3 on taking over an old package (Guy Maor)
  * Added a paragraph to Programmer 4.2.14 on listing distributions to load
    a package into. (Guy Maor)
  * Further clarification of use of absolute pathnames in scripts in 
    Programmer 6.1. 

 -- David Morris <bweaver@worf.netins.net>  Tue, 3 Dec 1996 23:28:04 -0600

debian-manuals (2.1.2.1) frozen unstable;
  
  * Many editorial and formatting revisions with suggestions from Ian Jackson,
    Guy Maor and others	
  * correction of chiark address in Policy 6.2
  * footnote in Programmers chapter 2 pointing to deb(5) manpage for 
    description of deb file format.
  * addition of more dpkg examples in Programmer chapter 2 
  * Replace paragraph in Policy 4.1 outlining compiling parameters for 
    shared libraries.
  * Added paragraph in Programmer 6.1 on paths in maintainer scripts
    (Bug #2481)
  * Cleaned up language and formatting of Programmer's 12.2, shlibs
  * Corrected contact addresses for listmaster and override-change

 -- David Morris <bweaver@worf.netins.net>  Wed, 27 Nov 1996 08:17:16 -0600

debian-manuals (2.1.2.0) frozen unstable;

  * Mostly editorial changes in Policy Manual.
  * Added summary of distribution criteria to Introduction
  * Added section headings for copyright criteria
  * Fixed typos (Bugs #4485, #4622)
  * Added paragraph in Compilation Options related to use of shared and 
    static libraries. (Bug #5299)
  * Paragraph added about where to find PGP and other export restricted 
    packages in section on Procedure
  * Change in List administrator and in the contact address for becoming 
    a package maintainer
  * A paragraph added related to who to contact for package maintainer changes.
  * Changed where to send upload announcements: uploads destined for unstable,
    frozen, or experimental go to debian-devel-changes.

  * Made some mostly editorial changes to Programmers Manual.
  * Added a recommendation to debmake in Introduction.
  * A further interpretation of the various Distributions is added with
    the intent of helping people decide which one to choose. (section 4.2.14)
  * Section 12 on Shared Libraries expanded with further technical information
    on various shlib files
  * Section in 2.2 on format of shlib file moved to new subsection within 12.
  * Paragraph on adding a symlink without version number added to Shared 
    Library Section (Guy Maor, Bug #5299)

 -- David Morris <bweaver@worf.netins.net>  Fri, 22 Nov 1996 23:41:39 -0600

debian-manuals (2.1.1.0) unstable;

  * Hard links are forbidden in source packages (they didn't work anyway,
    and can't easily be made to work reliably).
  * Do not use dpkg-divert or update-alternatives without consultation.

  * Do not need to declare dependencies on Essential packages.
  * Restrictions on Pre-Depends stated in policy manual.
  * debian/substvars file is now almost always auto-generated.
  * Shared libraries must be installed stripped.
  * Essential and Pre-Depends put together in policy manual.

  * Explained component-wise (file-wise) vs. package-wise dependencies.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Thu, 12 Sep 1996 01:00:41 +0100

debian-manuals (2.1.0.0) unstable;

  * Upstream changelog must be installed too (was just recommended).

  * Modification to use dpkg-shlibdeps added to conversion instructions.
  * Packages which are buggy and orphaned but which are preserved for
    compatibility go in contrib.

  * Programmers' manual source package section refers to conversion
    instructions in policy manual.

