=== debian/rules ===
#!/usr/bin/make -f

build:
	$(checkdir)
	debiandoc2html packaging.sgml
	debiandoc2text packaging.sgml
	gzip -9f packaging.text
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf packaging.html packaging.text*
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a packaging.html debian/tmp/usr/doc/packaging-manual/
	cp packaging.text.gz debian/tmp/usr/doc/packaging-manual/
	cat packaging.sgml | gzip -9 > debian/tmp/usr/doc/packaging-manual/packaging.sgml.gz
	cp debian/changelog debian/tmp/usr/doc/packaging-manual/
	gzip -9f debian/tmp/usr/doc/packaging-manual/changelog
	cp packaging-manual.desc debian/tmp/usr/share/doc-base/packaging-manual
	cp debian/copyright debian/tmp/usr/doc/packaging-manual/
	mkdir debian/tmp/DEBIAN
	cp debian/{postinst,prerm} debian/tmp/DEBIAN/
	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	debiandoc2ps -pa4 -1 -O packaging.sgml | gzip -9v > ../packaging.ps.gz
	dpkg-distaddfile -fdebian/files packaging.ps.gz byhand -
	GZIP=-9v tar zcf ../packaging.html.tar.gz packaging.html
	dpkg-distaddfile -fdebian/files packaging.html.tar.gz byhand -
	cp packaging.text.gz ..
	dpkg-distaddfile -fdebian/files packaging.text.gz byhand -

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
