## packaging-manual 2.4.1.2

=== debian/changelog ===
packaging-manual (2.4.1.2) unstable; urgency=low

  * Changed maintainer to the policy list. This package is no lonnger
    orpahned. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Sep 1998 01:18:23 -0700
