=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: packaging-manual
 Section: doc
 Priority: extra
-Maintainer: Debian QA <debian-qa@lists.debian.org>
+Maintainer: Debian Policy <debian-policy@lists.debian.org>
 Standards-Version: 2.4.1.0
 
 Package: packaging-manual
